Subject: Re: Re: A common layer for Accounting packages

From: Evgeniy Polyakov <[email-masked]>
Date: Mon, 28 Feb 2005 08:17:31 +0300

On Mon, 2005-02-28 at 10:59 +0900, Kaigai Kohei wrote:
> Hello,
> 
> Marcelo Tosatti wrote:
>  > Yep, the netlink people should be able to help - they known what would be
>  > required for not sending messages in case there is no listener registered.
>  >
>  > Maybe its already possible? I have never used netlink myself.
> 
> If we notify the fork/exec/exit-events to user-space directly as you said,
> I don't think some hackings on netlink is necessary.
> For example, such packets is sent only when /proc/sys/.../process_grouping is set,
> and user-side daemon set this value, and unset when daemon will exit.
> It's not necessary to take too seriously.

Kernel accounting already was discussed in lkml week ago - I'm quite 
sure Guillaume Thouvenin created exactly that.
His module creates do_fork() hook and broadcasts various process' states
over netlink.

Discussion at http://lkml.org/lkml/2005/2/17/87

-- 
        Evgeniy Polyakov

Crash is better than data corruption -- Arthur Grabowski